<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
  if($ver=='1'){
  //$control_v = array();  
  $pasajeros2_temp = array();
  } 
  	
	if($ver=='1'){	
	  $pasajeros2_temp=$pasajeros1;
		while(list($clavex,$valor2)=each($pasajeros2_temp)){
		$personal=$valor2[0];
		$dociden_per=$valor2[1];
		$razon_emp=$valor2[2];											
		$peso_per=$valor2[3];																				
		$peso_eq=$valor2[4];
		$tipo_mpass=$valor2[5];											
		$ccosto=$valor2[6];
		$origen=$valor2[7];
		$destino=$valor2[8];
		$distancia=$valor2[9];
		$id=$valor2[10];
		$codigo_mpass=$valor2[11];
		$numorigen=$valor2[12];
		$numdestino=$valor2[13];
		
		if($clave1==$clavex){
			if($campo=='peso_per'){ 
			$peso_per=$valor;
			if($tipo_mpass=='PASAJERO'){ $objPer->UpdateManRutaPass($id,($peso_per+$peso_eq));}
			$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);}
			elseif($campo=='peso_eq'){ 
			$peso_eq=$valor;
			if($tipo_mpass=='PASAJERO'){ $objPer->UpdateManRutaPass($id,($peso_per+$peso_eq));} 
			$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);}
			elseif($campo=='tipo_mpass'){ 
			$tipo_mpass=$valor;
				if($tipo_mpass=='TRIPULANTE'){
				$objPer->DeleteManRutaPass($id);
				}elseif($tipo_mpass=='PASAJERO'){				
				$id=$objPer->registrarManRutaPass($param,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);
				}
				$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);}
			elseif($campo=='ccosto'){ $ccosto=$valor; 
			$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);}
			elseif($campo=='origen'){
				$numorigen1=$valor; 
							
				$rsod=$objPer->getNombreOD($numorigen1,$numdestino,$param);
				$rowod=$objPer->NextRow($rsod);
				$origen1=$rowod['de'];	
				$destino1=$rowod['para'];				
								 
				$rs=$objPer->getLugarDistanciaParam($origen1,$destino1);
				$row=$objPer->NextRow($rs);
				$distancia=$row['distancia'];
				$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$codigo_mpass,$numorigen1,$numdestino);
				
			}elseif($campo=='destino'){
				$numdestino1=$valor; 
						
				$rsod=$objPer->getNombreOD($numorigen,$numdestino1,$param);
				$rowod=$objPer->NextRow($rsod);
				$origen1=$rowod['de'];
				$destino1=$rowod['para'];			
				
				$rs=$objPer->getLugarDistanciaParam($origen1,$destino1);
				$row=$objPer->NextRow($rs);
				$distancia=$row['distancia']; 
				$pasajeros1[$clave1]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$codigo_mpass,$numorigen,$numdestino1);
				
			}	
		}else{		
		$pasajeros1[$clavex]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);
		}
		}
		
	}
	
	
	$v=1;
	$cerrar=0;
	$r=$ver;
	$via=$via;
	$cod_ruta=$param;
	$valor;
	$clave1;
	$campo;	
 //include("../p_manifiesto_peso1.php");	
  
?>